Skip to main content
DELETE
/
api
/
v1
/
environments
/
{id}
Delete environment
curl --request DELETE \
  --url https://api.example.com/api/v1/environments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'If-Match: <if-match>'
{
  "errors": [
    {
      "status": "404",
      "title": "Not Found",
      "detail": "Run not found.",
      "code": "access_token_expired",
      "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "leftover_env_keys": [
    "<string>"
  ],
  "removed_env_keys": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.

Headers

If-Match
string
required

Current resource revision used for optimistic concurrency, as returned in the ETag response header.

Path Parameters

id
string
required

Unique environment identifier.

Pattern: ^[a-z0-9][a-z0-9-]{0,62}$

Response

Environment deleted